Jump to contentJump to page navigation: previous page [access key p]/next page [access key n]
documentation.suse.com / SUSE Linux Enterprise Desktop Documentation / Upgrade Guide / Finishing the upgrade
Applies to SUSE Linux Enterprise Desktop 15 SP5

6 Finishing the upgrade

After the upgrade, you need to perform some additional tasks. The following chapter guides you through these steps.

6.1 Check for old packages

Use zypper packages to check for orphaned and unneeded packages.

Orphaned Packages are no longer available in any of the configured package repositories. The can no longer get updated and become unsupported.

For a list of orphaned packages, run:

> zypper packages --orphaned

Unneeded packages are dependencies of packages that have been installed either explicitly by the user or implicitly as part a pattern or product, and that have been removed in the meantime. They are usually no longer needed and should be removed, too.

For a list of unneeded packages, run:

> zypper packages --unneeded
Tip
Tip

To avoid unneeded packages, use zypper rm with the --clean-deps option or YaST with Options › Clean up when deleting packages enabled.

You can combine both lists into one:

> zypper packages --orphaned --unneeded

Use these lists to determine which packages are still needed and which can be safely removed.

Warning
Warning: Do not remove packages you need

If packages get renamed, or removed from a pattern or product, zypper may no longer consider them explicitly installed and mark them as unneeded, even though they are still crucial for your installation.

Carefully review the list of packages you are removing.

To remove all orphaned and unneeded packages with a single command, run:

> sudo zypper rm $(zypper --no-refresh packages --orphaned --unneeded | gawk '{print $5}' | tail -n +5)

Exclude a single package or pattern from being uninstalled:

> sudo zypper rm $(zypper --no-refresh packages --orphaned --unneeded | gawk '{print $5}' | tail -n +5 | grep -v PACKAGE_TO_EXCLUDE)

Exclude multiple packages defined in a text file, separated by a newline:

> sudo zypper rm $(zypper --no-refresh packages --orphaned --unneeded | gawk '{print $5}' | tail -n +5 | grep -v -f /PACKAGES/TO/KEEP.txt)

6.2 Review your configuration files

Check for any *.rpmnew and *.rpmsave files. When an upgrade includes changes to a default configuration file that has been altered after package installation, instead of overwriting the file, one of these file types is created. While *.rpmnew contains the new default configuration and leaves your altered file untouched, *.rpmsave is a copy of your altered configuration that has been replaced by the new default file.

If you find any of these files, examine their content and merge desirable changes. You do not need to search the whole file system, only the /etc directory. Use the following command:

> find /etc/ -name "*.rpmnew" -o -name "*.rpmsave"

6.3 Enable the Python 3 module

SUSE Linux Enterprise Desktop 15 uses Python 3.6 by default. Python 3.9 was added in SLED 15 SP3 as a more recent alternative. This version is no longer supported as of SLED 15 SP4. Instead, recent Python versions with important updates and security fixes are available through the Python 3 module.

If you installed Python 3.9 under SUSE Linux Enterprise Desktop 15 SP3, enable the Python 3 module with:

> sudo SUSEConnect -p sle-module-python3/15.5/x86_64.

Alternatively, you can return to the default Python version by removing 3.9 with zypper remove -u python39.

6.4 Reformat XFS v4 devices

SUSE Linux Enterprise Desktop supports the on-disk format (v5) of the XFS file system. The main advantages of this format are automatic checksums of all XFS metadata, file type support, and support for a larger number of access control lists for a file.

Note that this format is not supported by SUSE Linux Enterprise kernels older than version 3.12, by xfsprogs older than version 3.2.0, and GRUB 2 versions released before SUSE Linux Enterprise 12.

Important
Important: V4 is deprecated

XFS is deprecating file systems with the V4 format. This file system format was created by the command:

> sudo mkfs.xfs -m crc=0 DEVICE

The format was used in SLE 11 and older releases, and it currently creates a warning message by dmesg:

Deprecated V4 format (crc=0) will not be supported after September 2030

If you see the message above in the output of the dmesg command, it is recommended that you update your file system to the V5 format:

  1. Back up your data to another device.

  2. Create the file system on the device.

    > sudo mkfs.xfs -m crc=1 DEVICE
  3. Restore the data from the backup on the updated device.